libvisio::VSDName Class Reference

`#include <VSDTypes.h>`

## Public Member Functions

| VSDName (const librevenge::RVNGBinaryData &data, TextFormat format)
| VSDName ()
| VSDName (const VSDName &name)=default
VSDName & | operator= (const VSDName &name)=default
bool | empty () const
void | clear ()

## Public Attributes

librevenge::RVNGBinaryData | m_data
TextFormat | m_format

## Constructor & Destructor Documentation

## VSDName() [1/3]

libvisio::VSDName::VSDName | ( | const librevenge::RVNGBinaryData & | data,
|  | TextFormat | format )

inline

Referenced by operator=(), and VSDName().

## VSDName() [2/3]

libvisio::VSDName::VSDName | ( |  | ) |

inline

## VSDName() [3/3]

libvisio::VSDName::VSDName | ( | const VSDName & | name | ) |

default

## Member Function Documentation

## clear()

void libvisio::VSDName::clear | ( |  | ) |

inline

## empty()

bool libvisio::VSDName::empty | ( |  | ) | const

inline

Referenced by libvisio::VSDContentCollector::collectPage().

## operator=()

VSDName & libvisio::VSDName::operator= | ( | const VSDName & | name | ) |

default

## Member Data Documentation

## m_data

librevenge::RVNGBinaryData libvisio::VSDName::m_data

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), libvisio::VSDContentCollector::_fillCharProperties(), clear(), libvisio::VSDContentCollector::collectLayerMem(), libvisio::VSDContentCollector::collectPage(), libvisio::VSDContentCollector::collectShape(), empty(), libvisio::VSDXMLParserBase::readStringData(), VSDName(), and VSDName().

## m_format

TextFormat libvisio::VSDName::m_format

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), libvisio::VSDContentCollector::_fillCharProperties(), clear(), libvisio::VSDContentCollector::collectLayerMem(), libvisio::VSDContentCollector::collectPage(), libvisio::VSDContentCollector::collectShape(), libvisio::VSDXMLParserBase::readStringData(), VSDName(), and VSDName().

The documentation for this class was generated from the following file:

- VSDTypes.h